Subject: Re: IPv6 w.g. Last Call on "Unique Local IPv6 Unicast Addresses"

From: Alain Durand <[email-masked]>
Date: Mon, 10 Nov 2003 11:36:10 -0800

I think that if you were to drop entirely the randomly self generated 
addresses
and do not say anything about the fee scruture except it has to
be low cost, it would be a much more swallable pill.

    - Alain.

Bob Hinden wrote:

> Geoff,
>
>> After thinking about this and looking at the evident need to make 
>> some progress
>> here I'd like to believe that this level of resolution of potential 
>> ambiguity
>> is adequate, given that there is always the option to use a central 
>> registry draw to
>> obtain a global id that is assuredly unique.
>>
>> My other issues with the current rev of the draft are still on the 
>> table, and of course
>> I'd be happy to work with the authors to come up with some revised 
>> words that may find
>> some reasonable (rough) wg consensus, and still remain within the 
>> overall spirit
>> and intent of this proposal.
>
>
> Thanks.  That would be very helpful.  I will contact you off list and 
> see if we can get together to come with some wording that could be 
> presented to the w.g. during the Thursday session.
>
> Bob
>
>
> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

---

From: Tim Chown <[email-masked]>
Date: Tue, 11 Nov 2003 16:57:25 +0000

On Tue, Nov 11, 2003 at 05:46:18PM +0100, Brian E Carpenter wrote:
> "Private" implies security virtues that they don't have.
> "Local" implies geographical limitations that they don't have.
> "Site" ditto.
> "Organizational" implies usage limitations that they don't have.
> "Limited scope" upsets people because of the complexity of the scope debate.
> "Entity" really isn't different from "organization".
> 
> Does anybody have a thesaurus handy?

Well, we have Autonomous Systems so maybe autonomous addressing?   Or does
that have too much ASN baggage/confusion, or hint too much at independence?

Tim

---

From: "Stephen Sprunk" <[email-masked]>
Date: Mon, 10 Nov 2003 14:20:13 -0600

Thus spake "Iljitsch van Beijnum" <[email-masked]>
> > I don't see how this can be true in general.
> > Here is an example using referrals; the three nodes involved are A, B,
> > C. Node A and B are in the same site, have both local and global
> > addresses, and C is in a different site.
>
> > Node A and B are communicating using these local addresses.
> > In particular, B contacted A using FQDN(A) and the naming system
> > somehow so that they ended up communcating with local addresses. (My
> > understanding is that part of the benefit of these local addresses is
> > that local communication prefer using local addresses over global
> > addresses.)
>
> Yes, but how???
>
> A simple method would be to check the first 48 bits of the IP addresses
> that are suspected of having "local" reachability. But this doesn't
> allow for the merging of two sites, which was presented as a rather
> prominent requirement during the site local wars (or at least the part
> I got to witness).

I don't see this is a problem at all; any given address on a host may only
be able to reach a subset of destinations, whether it's a site-local address
or not.  The only way to be sure is to try them all and see which works; if
the working one happens to be a site-local, who cares?

S

Stephen Sprunk         "God does not play dice."  --Albert Einstein
CCIE #3723         "God is an inveterate gambler, and He throws the
K5SSS        dice at every possible opportunity." --Stephen Hawking